# -*- coding: utf-8 -*-
"""example.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1KyQLUEyziaSxyAV0bw729oGz5gxI3FZk
"""

# Install the Pubsam package using pip
pip install Pubsam

# Import all functions and classes from the Pubsam module
from Pubsam import *

# Display active chemicals based on Assay ID "1000"
display_active_chemicals_by_assay_aid("1000")

# Display inactive chemicals based on Assay ID "1000"

display_inactive_chemicals_by_assay_aid(1000)

# Perform QSPR analysis on the CSV file "BP.CSV" with the dependent variable column "BP_C"

qspr_analysis("BP.CSV", "BP_C")

# Generate an image highlighting the differences between two molecular structures

highlight_difference("CC(=O)OC1C=CC2C3CC4=C5C2(C1OC5=C(C=C4)OC(=O)C)CCN3C", "CN1CCC23C4C1CC5=C2C(=C(C=C5)O)OC3C(C=C4)O")

# Display the maximum common substructure of a list of molecular structures
display_maximum_common_substructure(["CC(=O)OC1C=CC2C3CC4=C5C2(C1OC5=C(C=C4)OC(=O)C)CCN3C", "CN1CCC23C4C1CC5=C2C(=C(C=C5)O)OC3C(C=C4)O"])

# Display Gasteiger charges for a list of molecular structures
display_gasteiger_charges('C(=O)O', ['c1cc(C(=O)O)c(OC(=O)C)cc1', 'CCCC(=O)O', 'CCCCCCCCCCCCCCCCCCC(=O)O'])

# Display chiral centers in a molecular structure
display_chirality("C[C@H]1CCC[C@@H](C)[C@@H]1Cl")

# Identify and print the stereochemistry of double bonds in molecular structures
display_double_bond_Stereochemistry("C\C=C(/F)\C(=C\F)\C=C", 'c1cc(C(=O)O)c(OC(=O)C)cc1', "C\C=C(/F)\C(=C\F)\C=C")

# Draw a list of SMILES representations
draw_list_of_smiles(['C', 'CC', 'CCC', 'CCCC', 'CCCCC', 'C1CCCCC1'])

# Check if a substructure is present in a list of compounds

check_for_substructure('C(=O)[OH]', 'CC(=O)O', 'CC(=O)')

display_morgan_score_topological("CCO", "CNCN")

# Display the topological Morgan score for two SMILES strings

delete_substructure('C(=O)[OH]', 'CC(=O)O', 'CC(=O)')